Subject: a few comments on the latest sdp2 draft

From: Dan Mosedale <[email-masked]>
Date: Tue, 25 Jul 1995 22:59:25 -0700 (PDT)

I had a couple of short thoughts after reading draft 1.4:

- it seems to me that starting the protocol version number with 0 is
going out of the way to be non-intuitive.  If J. Random Hacker doesn't
happen to go back and look at the spec when coding, he/she will just
naturally assume that SDPv2 is going to have a version number of 2.  I
can't see how it hurts to just start numbering at 2; am I missing
something?

- what is the advantage to having two possible encodings for the time
units?  Doing this means that every program that wishes to parse SDPv2
packets needs to have code to parse both of these formats.  This means
more work, more opportunities for bugs, more memory wasted, etc.

Dan